# Mark prep job as appraised Transitions a prep job to the APPRAISED stage. Lookup by VIN or VRM (VIN takes precedence if both provided). At least one of vin or vrm must be provided. Endpoint: PATCH /prep-jobs/appraised Version: 1.0.0-alpha Security: JigcarAPIAuth ## Query parameters: - `vin` (string) Vehicle Identification Number Example: "1C6RR7FT9ES349880" - `vrm` (string) Vehicle Registration Mark Example: "SX05CWO" ## Response 200 fields (application/json): - `id` (string, required) The identifier for the prep job Example: "01H6SKC5ZDMX0PH7QJJDHJRH7G" - `vin` (string, required) The Vehicle Identification Number Example: "1C6RR7FT9ES349880" - `vrm` (string) The Vehicle Registration Mark Example: "SX05CWO" - `make` (string) The make of the vehicle Example: "Seat" - `model` (string) The model of the vehicle Example: "Ibiza" - `modelVariant` (string) The extended description of the vehicle Example: "FR Sport" - `prepSiteId` (string, required) The identifier for the prep site processing this vehicle Example: "site-prep-01" - `businessArea` (string, required) Enum: "Retail", "Fleet" - `source` (string, required) Enum: "CREATED_VMR", "CREATED_MANUALLY" - `stage` (string, required) Enum: "INBOUND", "ARRIVED", "APPRAISED", "OUTBOUND" - `substage` (string) Enum: "SCHEDULED", "DELIVERED" - `notes` (string) Any notes relating to the prep job - `createdByUser` (string, required) Email of the user who created the prep job Example: "user@example.com" - `createdAt` (string, required) - `updatedAt` (string, required) ## Response 400 fields (application/problem+json): - `code` (string) Machine-readable error code Example: "INVALID_VRM" - `message` (string) Human-readable error message Example: "The provided VRM is invalid" ## Response 404 fields (application/problem+json): - `code` (string) Machine-readable error code Example: "VEHICLE_MOVEMENT_REQUEST_NOT_FOUND" - `message` (string) Human-readable error message Example: "A vehicle movement request with the provided ID cannot be found" ## Response 500 fields (application/json): - `code` (string, required) Enum: "INTERNAL_SERVER_ERROR" - `message` (string, required) Example: "We encountered an unexpected error trying to service your request. Please try again later."